import { http } from './http'

const orderApi = {
  // 订单支付状态
  getPayStatus: (id: any) =>
    http.request({
      url: `/orderManagement/${id}`,
    }),

  // 订单-VIP续费
  createVipRenewPrepayOrder: (data: anyObj) =>
    http.request({
      url: '/orderManagement/createVipRenewPrepayOrder',
      method: 'post',
      data,
    }),

  // 订单-督学
  createInspectorPrepayOrder: (data: anyObj) =>
    http.request({
      url: '/orderManagement/createInspectorPrepayOrder',
      method: 'post',
      data,
    }),

  // VIP订单记录
  getVipOrderRecord: (params: anyObj) =>
    http.request({
      url: '/orderManagement/vipPayRecord',
      params,
    }),

  // 查询是否是督学中
  getIsInspectorIng: () =>
    http.request({
      url: '/inspectorStudent/inspectorButtonData',
    }),
}

export default orderApi
